Bug 1141407 - (CVE-2014-3186) CVE-2014-3186 Kernel: HID: memory corruption via OOB write
CVE-2014-3186 Kernel: HID: memory corruption via OOB write
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20140827,repor...
: Security
Depends On: 1141408 1141409 1141410
Blocks: 1140968
  Show dependency treegraph
 
Reported: 2014-09-12 22:29 EDT by Prasad J Pandit
Modified: 2016-03-04 06:59 EST (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A buffer overflow flaw was found in the way the Minibox PicoLCD driver handled Human Interface Device (HID) reports with an invalid size. An attacker with physical access to the system could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:01:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1971 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-12-09 20:33:29 EST

  None (edit)
Description Prasad J Pandit 2014-09-12 22:29:45 EDT
Linux kernel built with the Human Interface Device(HID) Bus support(CONFIG_HID)
along with a driver for Minibox PicoLCD devices support(CONFIG_HID_PICOLCD),
is vulnerable to an OOB write flaw. It could occur if a device offers an HID
report with arbitrary(>64) data size value.

A local user with physical access to the system could use this flaw to crash
the system resulting in DoS or potentially, escalate their privileges on the
system.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/844817e47eef14141cf59b8d5ac08dd11c0a9189

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2014/09/11/22
Comment 2 Prasad J Pandit 2014-09-12 22:31:47 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1141410]
Comment 3 Prasad J Pandit 2014-09-12 22:34:27 EDT
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of the kernel package as shipped with
Red Hat Enterprise Linux 7. Future kernel updates for Red Hat Enterprise
Linux 7 may address this issue.
Comment 4 Fedora Update System 2014-09-19 06:10:27 EDT
kernel-3.16.2-201.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2014-09-23 00:44:07 EDT
kernel-3.16.3-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2014-09-29 21:59:08 EDT
kernel-3.14.19-100.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Martin Prpič 2014-12-05 09:29:52 EST
IssueDescription:

A buffer overflow flaw was found in the way the Minibox PicoLCD driver handled Human Interface Device (HID) reports with an invalid size. An attacker with physical access to the system could use this flaw to crash the system or, potentially, escalate their privileges on the system.
Comment 8 errata-xmlrpc 2014-12-09 15:35:49 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1971 https://rhn.redhat.com/errata/RHSA-2014-1971.html

Note You need to log in before you can comment on or make changes to this bug.